> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth metadata for a slate MCP endpoint



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/mcp/metadata
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/mcp/metadata:
    get:
      tags:
        - Slate routing
      summary: Get OAuth metadata for a slate MCP endpoint
      operationId: getSlateMcpMetadata
      parameters:
        - schema:
            type: string
          required: true
          name: hostname
          in: query
      responses:
        '200':
          description: Public OAuth protected-resource metadata for the slate MCP endpoint
          content:
            application/json:
              schema:
                type: object
                properties:
                  authorization_servers:
                    type: array
                    items:
                      type: string
                  bearer_methods_supported:
                    type: array
                    items:
                      type: string
                  resource:
                    type: string
                    format: uri
                  scopes_supported:
                    type: array
                    items:
                      type: string
                required:
                  - resource
        '404':
          description: No slate has this public hostname
      security:
        - {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.